!
!  return handles for electron impact reactions
!
!  H+,e- -> H0 (recombination
 
subroutine sigvte_reco_handle(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle     ! preact handle
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle = Lreco_H_e
 
end subroutine sigvte_reco_handle
 
subroutine sigvte_ioniz_handle(izneut,ihandle)
  use hatom_mod
  implicit NONE
 
  integer, intent(in) :: izneut   ! Z of neutral atom (1, 2 or 3)
  integer, intent(out) :: ihandle   ! preact handle
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=0
 
  if(izneut.eq.1) then
     ihandle=Lei_H0
 
  else if(izneut.eq.2) then
     ihandle=Lei_HE0
 
  else if(izneut.eq.3) then
     ihandle=Lei_LI0
 
  endif
 
end subroutine sigvte_ioniz_handle
